Create

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /repository
  • /tags

Creates a new tag in the repository

Request

REQUIRED SCOPES
REPOSITORY_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

POST PARAMETERS
namerequiredstring
The name of the tag
commitrequiredCommitReference
The commit containing the revision field
messagestring
The tag message (for annotated tags)

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
namestring
The name of the tag
commitrequiredShortCommitView
messagestring
The tag message (for annotated tags)

Last modified on Jan 26, 2026

Examples

Example: Create lightweight tag

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/repository/tags" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "v1.3.0", "commit": { "revision": "abc123def456" } }'

Example: Create annotated tag with message

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/repository/tags" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "v1.3.0", "commit": { "revision": "abc123def456" }, "message": "Release version 1.3.0" }'
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/tags/v2", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/tag/v2", "name": "v2", "commit": { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/commits/ced6de63ca555fad8d2290c1c158f87232ffd9e1", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/commit/ced6de63ca555fad8d2290c1c158f87232ffd9e1", "revision": "ced6de63ca555fad8d2290c1c158f87232ffd9e1", "author_date": "2025-10-09T12:51:53Z", "commit_date": "2025-10-09T12:51:53Z", "message": "Changes to .bubby.yml", "committer": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1760014081477", "email": "john.doe@company.com", "admin": true, "workspace_owner": true }, "author": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1760014081477", "email": "john.doe@company.com", "admin": true, "workspace_owner": true } }, "message": "Version containing changes to user model" }
STATUS
201 Created